const virtualModuleId = "astro:transitions";
function astroTransitions() {
  const resolvedVirtualModuleId = "\0" + virtualModuleId;
  return {
    name: "astro:transitions",
    async resolveId(id) {
      if (id === virtualModuleId) {
        return resolvedVirtualModuleId;
      }
    },
    load(id) {
      if (id === resolvedVirtualModuleId) {
        return `
				export * from "astro/transitions";
				export { default as ViewTransitions } from "astro/components/ViewTransitions.astro";
			`;
      }
    }
  };
}
export {
  astroTransitions as default
};
